openSUSE Security Update : mercurial (openSUSE-2017-689)

This script is Copyright (C) 2017 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

This update for mercurial fixes the following issues :

- CVE-2017-9462: Fix the arbitrary code exec by remote
users via 'hg serve --stdio' (boo#1043063)

See also :

https://bugzilla.opensuse.org/show_bug.cgi?id=1043063
https://bugzilla.opensuse.org/show_bug.cgi?id=1043502

Solution :

Update the affected mercurial packages.

Risk factor :

High / CVSS Base Score : 9.0
(CVSS2#AV:N/AC:L/Au:S/C:C/I:C/A:C)

Family: SuSE Local Security Checks

Nessus Plugin ID: 100830 ()

Bugtraq ID:

CVE ID: CVE-2017-9462

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now